<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_regexp', language 'en', version '2.2'.
 *
 * @package     qtype_regexp
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addingregexp'] = 'Adding regular expression question';
$string['answer'] = 'Answer:';
$string['answermustbegiven'] = 'You must enter an answer if there is a grade or feedback.';
$string['answerno'] = 'Answer: {$a}';
$string['bestcorrectansweris'] = '<strong>The best correct answer is:</strong><br />{$a}';
$string['caseno'] = 'No, case is unimportant';
$string['casesensitive'] = 'Case sensitivity';
$string['caseyes'] = 'Yes, case must match';
$string['clicktosubmit'] = 'Click the <strong>Check</strong> button to submit this <strong>complete</strong> answer.';
$string['correctansweris'] = '<strong>The correct answer is:</strong><br />{$a}';
$string['correctanswersare'] = '<strong>The other accepted answers are:</strong>';
$string['editingregexp'] = 'Editing regular expression question';
$string['filloutoneanswer'] = '<em>Answer 1</em> must be a correct answer (grade = 100%) and it will not be analysed as a regular expression.';
$string['fractionsnomax'] = 'The grade for Answer #1 must be 100%.';
$string['hidealternate'] = 'Hide alternate answers';
$string['illegalcharacters'] = '<strong>ERROR!</strong> In Answers with a grade > 0 these <em>unescaped</em> metacharacters are not allowed: <strong>{$a}</strong>';
$string['notenoughanswers'] = 'This type of question requires at least one answer';
$string['penaltyforeachincorrecttry'] = 'Penalty for incorrect tries and Help';
$string['penaltyforeachincorrecttry_help'] = 'When you run your questions using the \'Interactive with multiple tries\' or \'Adaptive mode\' behaviour, so that the the student will have several tries to get the question right, then this option controls how much they are penalised for each incorrect try.

The penalty is a proportion of the total question grade, so if the question is worth three marks, and the penalty is 0.3333333, then the student will score 3 if they get the question right first time, 2 if they get it right second try, and 1 of they get it right on the third try.

If you have set the <strong>Display Help Button</strong> to <strong>Yes</strong> for this question, the same penalty applies each time the student clicks the <strong>Display Help Button</strong>.';
$string['pleaseenterananswer'] = 'Please enter an answer.';
$string['pluginname'] = 'Regular expression short answer';
$string['regexp'] = 'Regular expression short answer';
$string['regexp_help'] = 'Right-click on the <em>More Help</em> link below to open the Help page in a new tab/window.';
$string['regexp_link'] = 'question/type/regexp';
$string['regexperror'] = 'Error in regular expression:<strong>{$a}</strong>';
$string['regexperrorclose'] = 'closed: <strong>{$a}</strong>';
$string['regexperroropen'] = 'opened: <strong>{$a}</strong>';
$string['regexperrorparen'] = '<strong>ERROR!</strong> Check your parentheses or square brackets!';
$string['regexperrorsqbrack'] = 'Square brackets';
$string['regexpsensitive'] = 'Use regular expressions to check answers';
$string['regexpsummary'] = 'Like short answer but the analysis of the student\'s responses is based on regular expressions';
$string['showalternate'] = 'Show alternate answers';
$string['usehint'] = 'Display Help button';
$string['usehint_help'] = 'Selecting <strong>Display Help Button</strong> -&gt; <strong>Yes</strong> will display a <strong>Help me</strong> button
to allow the student to "buy" a letter.

By default Display Help button value is set at <b>No</b>';
